// 核心类
export { OIDCProvider } from './provider';

// 类型定义
export type {
    OIDCProviderConfig,
    OIDCClient,
    OIDCUser,
    AuthorizationCode,
    AccessToken,
    RefreshToken,
    IDToken,
    AuthorizationRequest,
    TokenRequest,
    TokenResponse,
    OIDCError,
    DiscoveryDocument,
    UserSession,
    LoginCredentials,
    PasswordValidator,
} from './types';

// 存储适配器接口和示例实现
export type { StorageAdapter } from './storage';
export { RedisStorageAdapter } from './storage';

// Hono中间件
export {
    createOIDCProvider,
    oidcProvider,
    getOIDCProvider
} from './middleware/hono';

// 导出中间件配置类型
export type {
    OIDCHonoOptions
} from './middleware/hono';

// 工具类
export { JWTUtils } from './utils/jwt';
export { PKCEUtils } from './utils/pkce';
export { ValidationUtils } from './utils/validation';

// 认证模块
export {
    AuthManager,
    PasswordAuthStrategy,
    CookieUtils,
    HtmlTemplates,
    SessionManager,
    TokenManager
} from './auth';

export type {
    AuthManagerConfig,
    PasswordAuthConfig,
    AuthenticationResult,
    CookieConfig,
    PageConfig
} from './auth'; 